astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astropy Testing helpers (`astropy.tests.helper`) »
- assert_follows_unicode_guidelines

# assert_follows_unicode_guidelines

`astropy.tests.helper.``assert_follows_unicode_guidelines`(x, roundtrip=None)

  Test that an object follows our Unicode policy. See “Unicode guidelines” in the coding guidelines.

  Parameters:

  x : object

  > The instance to test

  roundtrip : module, optional

  > When provided, this namespace will be used to evaluate `repr(x)` and ensure that it roundtrips. It will also ensure that `__bytes__(x)` and `__unicode__(x)` roundtrip. If not provided, no roundtrip testing will be performed.